Sie sind nicht angemeldet.

1

08.03.2008, 09:29

Firefox Plugins auf ppc64 - wie geht das?

Freunde, auf meiner PS3 läuft ja quasi Gentoo, nur deswegen, weil es ja geht *G*
Aber, da die PS3 am Fernseher hängt, neben dem ich meinen Laptop stehen habe im Arbeitszimmer möchte ich wohl auf dem Gentoo dort meinen Stream von der Dbox schaun.
Die streamt nämlich die Daten über mein lokales Netzwerk.
Auf dem Lap geht das so:
ich starte vlc als Streamempfänger und im Firefox rufe ich die Seite im localhost dazu auf, um mit deren Websteuerung die Dbox anzuweisen, was da kommen soll.
Das geht auch wunderbarn. Aber dort finde ich auch unter about:plugins die nötigen Plugins
Das Feld ist bei der ppc64 Sache komplett leer, egal was ich versuche.
Wenn ich dort im FF die localhostaddi aufrufe, erscheint auch das Webinterface, aber der VLC Client darin eingebettet startet nicht, weil das plugin fehlt.
Einer ne Idee?
System:
i7 P2600 @ 3,4GHz
jabber: poedel@jabber.ccc.de

2

08.03.2008, 09:59

Hallo,

hast Du nsplugin auch aktiviert ?? Läuft Firefox in 32Bit (firefox.bin) oder in 64 Bit??. Geht es Dir nur um das VLC Plugin?? Du kannst ja auch mal net-www/mplayerplug-in testen. Vielleicht geht es ja damit.

Wobei ich natürlich auch finda das VLC als Firefoxfox Plugin viel besser ist.


Viele Grüße

Andreas
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay

3

08.03.2008, 10:04

Hi Andreas,
also nsplugin ist auf jedenfall global gesetzt.
ich habe das Ebuild mozilla-firefox emergiert, müßte dann das 64bit´ige sein.
Ich weiß, dass z.B. Flash auch mörder Ärger in 64bit Umgebungen macht, und da 64bit zum Arbeiten absolut unnötig ist würde mir eine 32bit´ige Lösung reichen, wenn ich in der nur die Plugins aktiv hätte.
Also das Ebuild mozilla-firefox-bin meinste würde auf einer 64bit PPC Platform laufen, und das 32bit?
Oder wie bekomme ich das in 32bit hin?
System:
i7 P2600 @ 3,4GHz
jabber: poedel@jabber.ccc.de

4

08.03.2008, 10:40

Ja wenn Du 32 Bit haben willst musst Du die bin installieren. Alle Programme die beim Firefox ein Plugin zur verfügung stellen, müssen dann aber auch 32 Bit sein.

Würde bedeuten Du musst z.b. auch mplayer als bin installlieren.

Viele Grüße
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay

5

08.03.2008, 15:00

so, habe testweise erst einmal mozilla-firefox de-mergiert und dann mozilla-firefox-bin emergiert mit folgendem output beim starten der bin:

Quellcode

1
2
3
4
5
6
7
poedel@localhost ~ $ firefox-bin No 
running windows found
/usr/libexec/mozilla-launcher: line 460: 
/opt/firefox/firefox-bin: cannot execute 
binary file
firefox-bin exited with non-zero status 
(126)


was solln ditte?
System:
i7 P2600 @ 3,4GHz
jabber: poedel@jabber.ccc.de

6

08.03.2008, 15:33

Hallo Poedel

Es könnte eventuell an fehlender 32Bit unterstützung liegen.
Verwendest du ein multilib Profil?
Ich denke dies brauchst du, um auch 32Bit Software auf ein 64Bit System ausführen zu können.

Info hierzu:
http://www.gentoo.org/doc/de/gentoo-amd64-faq.xml#multilib

MfG
josef.95

7

08.03.2008, 17:55

eigentlich geht mir das zu weit in die falsche Richtung.
Gentoo auf der PS3 ist ziemlich kniffelig. Es ist mir gerade gelunden, Java ans laufen zu bekommen, aber noch nicht geconfigt.. Habe auch gerade keine Zeit mehr ;)
also später weiter..

ich will ja gar nicht von 64bit weg und wenn ich BINs neheme sind das vorkompilierte Pakete und man be8e, dass ich hier auf der PS3 bin, also PPC64, BINs aber für x86 64bit Archs geprügt sind. Das failed zwanxweise :(

Muß ggf nacher nomma mit java-config-2 rumspielen.. mal schaun.
Danke schonmal für Eure Hilfe!
System:
i7 P2600 @ 3,4GHz
jabber: poedel@jabber.ccc.de

8

08.03.2008, 18:44

Sorry, da muss ich mich entschuldigen.

Du hast ja einenn PPC 64 und das -bin Zeug ist wirklich nur für X86er, kannst es also so erst mal vergessen.

Viele Grüße
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay